# $Revision: 1.2 $, $Date: 2002/08/18 11:57:32 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish_PP
Summary:	Crypt::Blowfish_PP Perl module - pure Perl Blowfish alghoritm implementation
Summary(pl):	Modu Perla Crypt::Blowfish_PP - implementacja algorytmu Blowfish w samym Perlu
Name:		perl-Crypt-Blowfish_PP
Version:	1.12
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::Blowfish_PP module provides for users to use the Blowfish
encryption algorithm in Perl. The implementation is entirely Object
Oriented, as there is quite a lot of context inherent in making
Blowfish as fast as it is. The key is anywhere between 64 and 448 bits
(8 and 56 bytes), and should be passed as a packed string. The
transformation itself is a 16-round Feistel Network, and operates on a
64 bit block.

%description -l pl
Modu Crypt::Blowfish_PP pozwala na korzystanie z algorytmu
szyfrowania Blowfish w samym Perlu. Implementacja jest w peni
zorientowana obiektowo, jako e potrzeba sporo rzeczy zwizanych z
kontekstem, aby Blowfish dziaa tak szybko jak dziaa. Klucza moe
dowolnej dugoci midzy 64 a 448 bitw (8 i 56 bajtw) i powinien by
przekazany jako spakowany acuch. Sama transformacja jest 16-krokow
sieci Feistela i operuje na 64-bitowym bloku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{perl_sitelib}/Crypt/Blowfish_PP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Blowfish_PP.spec,v $
Revision 1.2  2002/08/18 11:57:32  blues
license fix

Revision 1.1  2002/07/28 18:02:42  qboosh
- new

